### Method

# FwupdPlugin Edid set_pnp_id

since: 1.9.6

#### Declaration [src]

    void
    fu_edid_set_pnp_id (
      FuEdid* self,
      const gchar* pnp_id
    )

#### Description [src]

Sets the PNP ID, which has a length equal to or less than 3 ASCII characters.

Available since: 1.9.6

#### Parameters

`pnp_id`

  Type: `const gchar*`

  Three digit string value, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.